<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div class="form" xmlns="">
			<form action="process.do" method="post" name="Contacts">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.Contacts</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="groupLabelBackground" id="ContactSummary_group_label_container">
					<h2 class="label" id="ContactSummary_group_label">Contact Summary details</h2>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="ContactSummary_repeat" summary="">
					<thead>
						<tr id="ContactSummary_group_headings">
							<th class="labelBackground" id="ContactId_label_container" scope="col">
								<span class="label" id="ContactId_label">Contact Id</span>
							</th>
							<th class="labelBackground" id="Title_label_container" scope="col">
								<span class="label" id="Title_label">Title</span>
							</th>
							<th class="labelBackground" id="Forename_label_container" scope="col">
								<span class="label" id="Forename_label">Forename</span>
							</th>
							<th class="labelBackground" id="Surname_label_container" scope="col">
								<span class="label" id="Surname_label">Surname</span>
							</th>
							<th class="labelBackground" id="TelephoneNumber_label_container" scope="col">
								<span class="label" id="TelephoneNumber_label">Telephone Number</span>
							</th>
							<th class="labelBackground" id="EmailAddress_label_container" scope="col">
								<span class="label" id="EmailAddress_label">Email Address</span>
							</th>
							<th class="labelBackground" id="MoreNumbers_label_container" scope="col">
								<span class="label" id="MoreNumbers_label">More Numbers</span>
							</th>
						</tr>
					</thead>
					<tbody id="ContactSummary_repeat_body">
						<out:for-each select="/mvc:eForm/mvc:Data/demo:ListContactsResponse/demo:ContactSummary">
							<out:variable name="ContactSummary_repeatLoopEntry" select="." />
							<out:variable name="ContactSummary_repeatLoopCount">
								<out:text>ContactSummary_repeat</out:text>
								<out:value-of select="position()" />
							</out:variable>
							<out:variable name="ContactSummary_repeat-repeat-position-number">
								<out:value-of select="position()" />
							</out:variable>
							<tr id="{$ContactSummary_repeatLoopCount}ContactSummary_group">
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}ContactId_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}ContactId">
										<out:choose>
											<out:when test="not(demo:ContactId) or (demo:ContactId = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:ContactId" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}Title_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}Title">
										<out:choose>
											<out:when test="not(demo:Title) or (demo:Title = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:Title" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}Forename_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}Forename">
										<out:choose>
											<out:when test="not(demo:Forename) or (demo:Forename = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:Forename" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}Surname_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}Surname">
										<out:choose>
											<out:when test="not(demo:Surname) or (demo:Surname = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:Surname" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}TelephoneNumber_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}TelephoneNumber">
										<out:choose>
											<out:when test="not(demo:TelephoneNumber) or (demo:TelephoneNumber = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:TelephoneNumber" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}EmailAddress_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}EmailAddress">
										<out:choose>
											<out:when test="not(demo:EmailAddress) or (demo:EmailAddress = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:EmailAddress" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}MoreNumbers_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}MoreNumbers">
										<out:choose>
											<out:when test="not(demo:MoreNumbers) or (demo:MoreNumbers = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:MoreNumbers" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
							</tr>
						</out:for-each>
						<out:if test="not(/mvc:eForm/mvc:Data/demo:ListContactsResponse/demo:ContactSummary)">
							<tr>
								<td class="noRepeatData" colspan="7" id="ContactSummary_repeat_empty">No Data Found</td>
							</tr>
						</out:if>
					</tbody>
				</table>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.Contacts,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"></xsl:text>			<out:for-each select="/mvc:eForm/mvc:Data/demo:ListContactsResponse/demo:ContactSummary">
				<out:variable name="ContactSummary_repeatLoopEntry" select="." />
				<out:variable name="ContactSummary_repeatLoopCount">
					<out:text>ContactSummary_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
			</out:for-each>
</xsl:for-each>		</script>
	</out:template>
	<out:template name="section_title">Contacts</out:template>
	<out:template name="page_scripts" />
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
</out:stylesheet>
